package:
  name: ipaaca
  version: "0.1.0"

source:
  - path: ../ipaacalib/cpp/
    folder: ipaaca-cpp
  - path: ../ipaacalib/python/
    folder: ipaaca-py
  - path: ../ipaacalib/proto/
    folder: proto

build:
  number: 1

requirements:
  build:
    - {{ compiler('cxx') }} 7.3 # [linux]
    - cmake >=3.10
  run:
    - ipaaca-cpp
    - ipaaca-py

outputs:
  - name: ipaaca-cpp
    script: install_cpp.sh
    requirements:
      host:
        - protobuf
        - mosquitto
        - libboost

      run:
        - mosquitto
        - {{ pin_compatible(libprotobuf) }}
        - libboost
  - name: ipaaca-py
    script: install_python.sh
    requirements:
      host:
        - python
        - pip
        - setuptools
        - protobuf

      run:
        - python
        - mosquitto
        - paho-mqtt
        - protobuf
    
# requirements:
#   build:
#     - {{ compiler('cxx') }} 7.3 # [linux]
#     - cmake >=3.10
#   host:
#     - libprotobuf
#     - mosquitto
#     - libboost
#     - openssl 1.0.*

#   run:
#     - mosquitto
#     - libprotobuf
#     - libboost
#     - openssl 1.0.*
